objectregistry.h File Reference
`#include <log4cplus/config.hxx>`
`#include <log4cplus/tstring.h>`
`#include <log4cplus/thread/syncprims.h>`
`#include <map>`
`#include <memory>`
`#include <vector>`
Include dependency graph for objectregistry.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | log4cplus::spi::ObjectRegistryBase
| This is the base class used to implement the functionality required by the ObjectRegistry template class. More...

## Namespaces

namespace | log4cplus
namespace | log4cplus::spi